<?php
/*
Plugin Name:	MTU Enterprise Website Template
Version:		1.0.4
Description:	Populates a default set of pages and posts for new Michigan Tech enterprise websites.  This plugin is only needed for first-time setup - it should be activated for approximately 15-20 seconds and then permanently deactivated.
Author:			IT Oxygen Enterprise
Author URI:		https://www.mtu.edu/enterprise/
*/

register_activation_hook(__FILE__,'add_pages_and_posts');

add_action( 'get_header', 'add_pages_and_posts' );

function add_pages_and_posts () {
  
require_once(ABSPATH . 'wp-load.php');


 
//Clear pre-existing WordPress Pages and Posts
 
wp_delete_post(1, true);
wp_delete_post(2, true);
wp_delete_post(3, true);
wp_delete_post(17, true);
wp_delete_post(18, true);
wp_delete_post(19, true);
wp_delete_post(20, true);
wp_delete_post(21, true);



 /*******************************************************
 ** HOME PAGE
 *******************************************************/
 
 $postType = 'page'; // set to post or page
 $userID = 1; // set to user id
 $categoryID = '2'; // set to category id.
 $postStatus = 'publish';  // set to future, draft, or publish
 
 $leadTitle = 'Home';
 
 $leadContent = '<h1>About Us</h1>
*Information about your enterprise. Below are some sample subheadings. Feel free to add pictures and modify this content as you see fit.*
<h3>Students</h3>
*What majors does your enterprise recruit?*
&nbsp;
<h3>Businesses and Organizations</h3>
*What types of companies does your enterprise work with?*
&nbsp;';
 
 $new_post = array(
 'post_title' => $leadTitle,
 'post_content' => $leadContent,
 'post_status' => $postStatus,
 //'post_date' => $timeStamp,
 'post_author' => $userID,
 'post_type' => $postType,
 'post_category' => array($categoryID)
 );
 
 $post_id = wp_insert_post($new_post);

 
 /*******************************************************
 ** ABOUT PAGE
 *******************************************************/
 
//Post Variables
 
 $postType = 'page';
 $userID = 1;
 $categoryID = '2';
 $postStatus = 'publish';
 
 $leadTitle = 'About';
 
 $leadContent = '*Information about your enterprise*';
 
 //WordPress Array and Variables for posting
 
 $new_post = array(
 'post_title' => $leadTitle,
 'post_content' => $leadContent,
 'post_status' => $postStatus,
 'post_author' => $userID,
 'post_type' => $postType,
 'post_category' => array($categoryID)
 );
 
 // WordPress Post Function
 
 $post_id = wp_insert_post($new_post);
 

 /*******************************************************
 ** CONTACT PAGE
 *******************************************************/
 
//Post Variables
 
 $postType = 'page';
 $userID = 1;
 $categoryID = '2';
 $postStatus = 'publish';
 
 $leadTitle = 'Contact';
 
 $leadContent = '*Contact info for your enterprise. Consider putting relevant phone numbers and addresses here*';
 
 //WordPress Array and Variables for posting
 
 $new_post = array(
 'post_title' => $leadTitle,
 'post_content' => $leadContent,
 'post_status' => $postStatus,
 'post_author' => $userID,
 'post_type' => $postType,
 'post_category' => array($categoryID)
 );
 
 // WordPress Post Function
 
 $post_id = wp_insert_post($new_post);


 /*******************************************************
 ** SPONSORS PAGE
 *******************************************************/
 
//Post Variables
 
 $postType = 'page';
 $userID = 1;
 $categoryID = '2';
 $postStatus = 'publish';
 
 $leadTitle = 'Sponsors';
 
 $leadContent = '<p>This page could be used for sponsors of your enterprise, information about specific services your enterprise provides, or information about previous projects your enterprise has completed <span style="color: #ff0000;">Your page must include:</span></p>
<p><strong>To learn more about becoming a sponsor, please visit the Enterprise Program <a href="https://www.mtu.edu/enterprise/giving/" target="_blank">Sponsorship and Giving</a> page.</strong></p>';
 
 //WordPress Array and Variables for posting
 
 $new_post = array(
 'post_title' => $leadTitle,
 'post_content' => $leadContent,
 'post_status' => $postStatus,
 'post_author' => $userID,
 'post_type' => $postType,
 'post_category' => array($categoryID)
 );
 
 // WordPress Post Function
 
 $post_id = wp_insert_post($new_post);
 

 /*******************************************************
 ** TEAMS PAGE
 *******************************************************/

//Post Variables
 
 $postType = 'page';
 $userID = 1;
 $categoryID = '2';
 $postStatus = 'publish';
 
 $leadTitle = 'Teams';
 
 $leadContent = '		<p>*Below is a sample table for teams that can be modified for your organizational structure*</p>

<style type="text/css">
.teamtable  {border-collapse:collapse;border-spacing:0;border-color:inherit;text-align:left;vertical-align:top;width:75%;}
.teamtable td{font-size:14px;padding:10px 5px;border-style:solid;border-width:1px;overflow:hidden;word-break:normal;border-color:black;width:25%;}
.teamtable th{font-size:14px;font-weight:normal;padding:10px 5px;border-style:solid;border-width:1px;overflow:hidden;word-break:normal;border-color:black;background-color:#a4cfff;}
</style>
<br>
<h3>Team Name</h3>
<p>Team Description</p>
<table class="teamtable">
  <tr>
    <th>Team Member</th>
    <th>Role</th>
    <th>Email</th>
  </tr>
  <tr>
    <td>Blizzard T. Husky</td>
    <td>Team Leader</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Joshua Peter</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Vance Cook</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Trevor Burek</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Carl Carter</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
</table>

<br>
<h3>Team Name</h3>
<p>Team Description</p>
<table class="teamtable">
  <tr>
    <th>Team Member</th>
    <th>Role</th>
    <th>Email</th>
  </tr>
  <tr>
    <td>Blizzard T. Husky</td>
    <td>Team Leader</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Joshua Peter</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Vance Cook</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Trevor Burek</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Carl Carter</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
</table>

<br>
<h3>Team Name</h3>
<p>Team Description</p>
<table class="teamtable">
  <tr>
    <th>Team Member</th>
    <th>Role</th>
    <th>Email</th>
  </tr>
  <tr>
    <td>Blizzard T. Husky</td>
    <td>Team Leader</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Joshua Peter</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Vance Cook</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Trevor Burek</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
  <tr>
    <td>Carl Carter</td>
    <td>Team Member</td>
    <td>myemail@mtu.edu</td>
  </tr>
</table>
';
 
 //WordPress Array and Variables for posting
 
 $new_post = array(
 'post_title' => $leadTitle,
 'post_content' => $leadContent,
 'post_status' => $postStatus,
 'post_author' => $userID,
 'post_type' => $postType,
 'post_category' => array($categoryID)
 );
 
 // WordPress Post Function
 
 $post_id = wp_insert_post($new_post);
 

 /*******************************************************
 ** ENTERPRISE PAGE
 *******************************************************/
 
//Post Variables
 
 $postType = 'page';
 $userID = 1;
 $categoryID = '2';
 $postStatus = 'publish';
 
 $leadTitle = 'Enterprise';
 
 $leadContent = '<p><span style="color: #ff0000;">[Do not delete this page!] [Insert enterprise name here]</span> operates within Michigan Tech\'s Enterprise Program, a unique multi-year, interdisciplinary, project-based program available to all students. To learn more, please visit the&nbsp;<a href="https://www.mtu.edu/enterprise/" target="_blank" rel="noopener">Enterprise Website</a>.</p>';
 
 //WordPress Array and Variables for posting
 
 $new_post = array(
 'post_title' => $leadTitle,
 'post_content' => $leadContent,
 'post_status' => $postStatus,
 'post_author' => $userID,
 'post_type' => $postType,
 'post_category' => array($categoryID)
 );
 
 // WordPress Post Function
 
 $post_id = wp_insert_post($new_post);
 

 /*******************************************************
 ** CALENDAR PAGE
 *******************************************************/
 
//Post Variables
 
 $postType = 'page';
 $userID = 1;
 $categoryID = '2';
 $postStatus = 'publish';
 
 $leadTitle = 'Calendar';
 
 $leadContent = '<iframe src="https://calendar.google.com/calendar/embed?src=mtu.edu_dv8oa4m1mcbvrm378qddoef2ok%40group.calendar.google.com&ctz=America%2FNew_York" style="border: 0" width="100%" height="600" frameborder="0" scrolling="no"></iframe>';
 
 //WordPress Array and Variables for posting
 
 $new_post = array(
 'post_title' => $leadTitle,
 'post_content' => $leadContent,
 'post_status' => $postStatus,
 'post_author' => $userID,
 'post_type' => $postType,
 'post_category' => array($categoryID)
 );
 
 // WordPress Post Function

 $post_id = wp_insert_post($new_post);
 
}

?>